Module javafx.controls
Package javafx.scene.control

# Class Slider

java.lang.Object
javafx.scene.Node
javafx.scene.Parent
javafx.scene.layout.Region
javafx.scene.control.Control
javafx.scene.control.Slider

All Implemented Interfaces:
  `Styleable`, `EventTarget`, `Skinnable`

public class Slider extends Control
The Slider Control is used to display a continuous or discrete range of valid numeric choices and allows the user to interact with the control. It is typically represented visually as having a "track" and a "knob" or "thumb" which is dragged within the track. The Slider can optionally show tick marks and labels indicating the different slider position values.

The three fundamental variables of the slider are `min`, `max`, and `value`. The `value` should always be a number within the range defined by `min` and `max`. `min` should always be less than or equal to `max` (although a slider whose `min` and `max` are equal is a degenerate case that makes no sense). `min` defaults to 0, whereas `max` defaults to 100.

This first example creates a slider whose range, or span, goes from 0 to 1, and whose value defaults to .5:

     import javafx.scene.control.Slider;

     Slider slider = new Slider(0, 1, 0.5);

This next example shows a slider with customized tick marks and tick mark labels, which also spans from 0 to 1:

     import javafx.scene.control.Slider;

     Slider slider = new Slider(0, 1, 0.5);
     slider.setShowTickMarks(true);
     slider.setShowTickLabels(true);
     slider.setMajorTickUnit(0.25f);
     slider.setBlockIncrement(0.1f);

Since:
  JavaFX 2.0

## Property Summary

Properties
Type
Property
Description
`final DoubleProperty`
`blockIncrement`
The amount by which to adjust the slider if the track of the slider is clicked.
`final ObjectProperty<StringConverter<Double>>`
`labelFormatter`
A function for formatting the label for a major tick.
`final DoubleProperty`
`majorTickUnit`
The unit distance between major tick marks.
`final DoubleProperty`
`max`
The maximum value represented by this Slider.
`final IntegerProperty`
`minorTickCount`
The number of minor ticks to place between any two major ticks.
`final DoubleProperty`
`min`
The minimum value represented by this Slider.
`final ObjectProperty<Orientation>`
`orientation`
The orientation of the `Slider` can either be horizontal or vertical.
`final BooleanProperty`
`showTickLabels`
Indicates that the labels for tick marks should be shown.
`final BooleanProperty`
`showTickMarks`
Specifies whether the `Skin` implementation should show tick marks.
`final BooleanProperty`
`snapToTicks`
Indicates whether the `value` of the `Slider` should always be aligned with the tick marks.
`final BooleanProperty`
`valueChanging`
When true, indicates the current value of this Slider is changing.
`final DoubleProperty`
`value`
The current value represented by this Slider.

### Properties inherited from class javafx.scene.control.Control

`contextMenu, skin, tooltip`

### Properties inherited from class javafx.scene.layout.Region

`background, border, cacheShape, centerShape, height, insets, maxHeight, maxWidth, minHeight, minWidth, opaqueInsets, padding, prefHeight, prefWidth, scaleShape, shape, snapToPixel, width`

### Properties inherited from class javafx.scene.Parent

`needsLayout`

### Properties inherited from class javafx.scene.Node

`accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible`

## Field Summary

### Fields inherited from class javafx.scene.layout.Region

`USE_COMPUTED_SIZE, USE_PREF_SIZE`

### Fields inherited from class javafx.scene.Node

`BASELINE_OFFSET_SAME_AS_HEIGHT`

## Constructor Summary

Constructors
Constructor
Description
`Slider()`
Creates a default Slider instance.
`Slider(double min, double max, double value)`
Constructs a Slider control with the specified slider min, max and current value values.

## Method Summary

Modifier and Type
Method
Description
`void`
`adjustValue(double newValue)`
Adjusts `value` to match `newValue`.
`final DoubleProperty`
`blockIncrementProperty()`
The amount by which to adjust the slider if the track of the slider is clicked.
`protected Skin<?>`
`createDefaultSkin()`
Create a new instance of the default skin for this control.
`void`
`decrement()`
Decrements the value by `blockIncrement`, bounded by max.
`void`
`executeAccessibleAction(AccessibleAction action, Object... parameters)`
This method is called by the assistive technology to request the action indicated by the argument should be executed.
`final double`
`getBlockIncrement()`
Gets the value of the `blockIncrement` property.
`static List<CssMetaData<? extends Styleable,?>>`
`getClassCssMetaData()`
`protected List<CssMetaData<? extends Styleable,?>>`
`getControlCssMetaData()`
`final StringConverter<Double>`
`getLabelFormatter()`
Gets the value of the `labelFormatter` property.
`final double`
`getMajorTickUnit()`
Gets the value of the `majorTickUnit` property.
`final double`
`getMax()`
Gets the value of the `max` property.
`final double`
`getMin()`
Gets the value of the `min` property.
`final int`
`getMinorTickCount()`
Gets the value of the `minorTickCount` property.
`final Orientation`
`getOrientation()`
Gets the value of the `orientation` property.
`final double`
`getValue()`
Gets the value of the `value` property.
`void`
`increment()`
Increments the value by `blockIncrement`, bounded by max.
`final boolean`
`isShowTickLabels()`
Gets the value of the `showTickLabels` property.
`final boolean`
`isShowTickMarks()`
Gets the value of the `showTickMarks` property.
`final boolean`
`isSnapToTicks()`
Gets the value of the `snapToTicks` property.
`final boolean`
`isValueChanging()`
Gets the value of the `valueChanging` property.
`final ObjectProperty<StringConverter<Double>>`
`labelFormatterProperty()`
A function for formatting the label for a major tick.
`final DoubleProperty`
`majorTickUnitProperty()`
The unit distance between major tick marks.
`final DoubleProperty`
`maxProperty()`
The maximum value represented by this Slider.
`final IntegerProperty`
`minorTickCountProperty()`
The number of minor ticks to place between any two major ticks.
`final DoubleProperty`
`minProperty()`
The minimum value represented by this Slider.
`final ObjectProperty<Orientation>`
`orientationProperty()`
The orientation of the `Slider` can either be horizontal or vertical.
`Object`
`queryAccessibleAttribute(AccessibleAttribute attribute, Object... parameters)`
This method is called by the assistive technology to request the value for an attribute.
`final void`
`setBlockIncrement(double value)`
Sets the value of the `blockIncrement` property.
`final void`
`setLabelFormatter(StringConverter<Double> value)`
Sets the value of the `labelFormatter` property.
`final void`
`setMajorTickUnit(double value)`
Sets the value of the `majorTickUnit` property.
`final void`
`setMax(double value)`
Sets the value of the `max` property.
`final void`
`setMin(double value)`
Sets the value of the `min` property.
`final void`
`setMinorTickCount(int value)`
Sets the value of the `minorTickCount` property.
`final void`
`setOrientation(Orientation value)`
Sets the value of the `orientation` property.
`final void`
`setShowTickLabels(boolean value)`
Sets the value of the `showTickLabels` property.
`final void`
`setShowTickMarks(boolean value)`
Sets the value of the `showTickMarks` property.
`final void`
`setSnapToTicks(boolean value)`
Sets the value of the `snapToTicks` property.
`final void`
`setValue(double value)`
Sets the value of the `value` property.
`final void`
`setValueChanging(boolean value)`
Sets the value of the `valueChanging` property.
`final BooleanProperty`
`showTickLabelsProperty()`
Indicates that the labels for tick marks should be shown.
`final BooleanProperty`
`showTickMarksProperty()`
Specifies whether the `Skin` implementation should show tick marks.
`final BooleanProperty`
`snapToTicksProperty()`
Indicates whether the `value` of the `Slider` should always be aligned with the tick marks.
`final BooleanProperty`
`valueChangingProperty()`
When true, indicates the current value of this Slider is changing.
`final DoubleProperty`
`valueProperty()`
The current value represented by this Slider.

### Methods inherited from class javafx.scene.control.Control

`computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, contextMenuProperty, getBaselineOffset, getContextMenu, getCssMetaData, getInitialFocusTraversable, getSkin, getTooltip, isResizable, layoutChildren, setContextMenu, setSkin, setTooltip, skinProperty, tooltipProperty`

### Methods inherited from class javafx.scene.layout.Region

`backgroundProperty, borderProperty, cacheShapeProperty, centerShapeProperty, getBackground, getBorder, getHeight, getInsets, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getOpaqueInsets, getPadding, getPrefHeight, getPrefWidth, getShape, getUserAgentStylesheet, getWidth, heightProperty, insetsProperty, isCacheShape, isCenterShape, isScaleShape, isSnapToPixel, layoutInArea, layoutInArea, layoutInArea, layoutInArea, maxHeight, maxHeightProperty, maxWidth, maxWidthProperty, minHeight, minHeightProperty, minWidth, minWidthProperty, opaqueInsetsProperty, paddingProperty, positionInArea, positionInArea, prefHeight, prefHeightProperty, prefWidth, prefWidthProperty, resize, scaleShapeProperty, setBackground, setBorder, setCacheShape, setCenterShape, setHeight, setMaxHeight, setMaxSize, setMaxWidth, setMinHeight, setMinSize, setMinWidth, setOpaqueInsets, setPadding, setPrefHeight, setPrefSize, setPrefWidth, setScaleShape, setShape, setSnapToPixel, setWidth, shapeProperty, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, snapToPixelProperty, widthProperty`

### Methods inherited from class javafx.scene.Parent

`getChildren, getChildrenUnmodifiable, getManagedChildren, getStylesheets, isNeedsLayout, layout, lookup, needsLayoutProperty, requestLayout, requestParentLayout, setNeedsLayout, updateBounds`

### Methods inherited from class javafx.scene.Node

`accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getContentBias, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookupAll, managedProperty, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, pressedProperty, pseudoClassStateChanged, relocate, removeEventFilter, removeEventHandler, requestFocus, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.css.Styleable

`getStyleableNode`

## Property Details

### max

public final DoubleProperty maxProperty
The maximum value represented by this Slider. This must be a value greater than `min`.

See Also:
  - `getMax()`
  - `setMax(double)`
  - `maxProperty()`

### min

public final DoubleProperty minProperty
The minimum value represented by this Slider. This must be a value less than `max`.

See Also:
  - `getMin()`
  - `setMin(double)`
  - `minProperty()`

### value

public final DoubleProperty valueProperty
The current value represented by this Slider. This value must always be between `min` and `max`, inclusive. If it is ever out of bounds either due to `min` or `max` changing or due to itself being changed, then it will be clamped to always remain valid.

See Also:
  - `getValue()`
  - `setValue(double)`
  - `valueProperty()`

### valueChanging

public final BooleanProperty valueChangingProperty
When true, indicates the current value of this Slider is changing. It provides notification that the value is changing. Once the value is computed, it is reset back to false.

See Also:
  - `isValueChanging()`
  - `setValueChanging(boolean)`
  - `valueChangingProperty()`

### orientation

public final ObjectProperty<Orientation> orientationProperty
The orientation of the `Slider` can either be horizontal or vertical.

See Also:
  - `getOrientation()`
  - `setOrientation(Orientation)`
  - `orientationProperty()`

### showTickLabels

public final BooleanProperty showTickLabelsProperty
Indicates that the labels for tick marks should be shown. Typically a `Skin` implementation will only show labels if `showTickMarks` is also true.

See Also:
  - `isShowTickLabels()`
  - `setShowTickLabels(boolean)`
  - `showTickLabelsProperty()`

### showTickMarks

public final BooleanProperty showTickMarksProperty
Specifies whether the `Skin` implementation should show tick marks.

See Also:
  - `isShowTickMarks()`
  - `setShowTickMarks(boolean)`
  - `showTickMarksProperty()`

### majorTickUnit

public final DoubleProperty majorTickUnitProperty
The unit distance between major tick marks. For example, if the `min` is 0 and the `max` is 100 and the `majorTickUnit` is 25, then there would be 5 tick marks: one at position 0, one at position 25, one at position 50, one at position 75, and a final one at position 100.

This value should be positive and should be a value less than the span. Out of range values are essentially the same as disabling tick marks.

See Also:
  - `getMajorTickUnit()`
  - `setMajorTickUnit(double)`
  - `majorTickUnitProperty()`

### minorTickCount

public final IntegerProperty minorTickCountProperty
The number of minor ticks to place between any two major ticks. This number should be positive or zero. Out of range values will disable disable minor ticks, as will a value of zero.

See Also:
  - `getMinorTickCount()`
  - `setMinorTickCount(int)`
  - `minorTickCountProperty()`

### snapToTicks

public final BooleanProperty snapToTicksProperty
Indicates whether the `value` of the `Slider` should always be aligned with the tick marks. This is honored even if the tick marks are not shown.

See Also:
  - `isSnapToTicks()`
  - `setSnapToTicks(boolean)`
  - `snapToTicksProperty()`

### labelFormatter

public final ObjectProperty<StringConverter<Double>> labelFormatterProperty
A function for formatting the label for a major tick. The number representing the major tick will be passed to the function. If this function is not specified, then a default function will be used by the `Skin` implementation.

See Also:
  - `getLabelFormatter()`
  - `setLabelFormatter(StringConverter)`
  - `labelFormatterProperty()`

### blockIncrement

public final DoubleProperty blockIncrementProperty
The amount by which to adjust the slider if the track of the slider is clicked. This is used when manipulating the slider position using keys. If `snapToTicks` is true then the nearest tick mark to the adjusted value will be used.

See Also:
  - `getBlockIncrement()`
  - `setBlockIncrement(double)`
  - `blockIncrementProperty()`

## Constructor Details

### Slider

public Slider()
Creates a default Slider instance.

### Slider

public Slider(double min, double max, double value)
Constructs a Slider control with the specified slider min, max and current value values.

Parameters:
  `min` - Slider minimum value
  `max` - Slider maximum value
  `value` - Slider current value

## Method Details

### setMax

public final void setMax(double value)
Sets the value of the `max` property.

Property description:
  The maximum value represented by this Slider. This must be a value greater than `min`.
Parameters:
  `value` - the value for the `max` property
See Also:
  - `getMax()`
  - `maxProperty()`

### getMax

public final double getMax()
Gets the value of the `max` property.

Property description:
  The maximum value represented by this Slider. This must be a value greater than `min`.
Returns:
  the value of the `max` property
See Also:
  - `setMax(double)`
  - `maxProperty()`

### maxProperty

public final DoubleProperty maxProperty()
The maximum value represented by this Slider. This must be a value greater than `min`.

Returns:
  the `max` property
See Also:
  - `getMax()`
  - `setMax(double)`

### setMin

public final void setMin(double value)
Sets the value of the `min` property.

Property description:
  The minimum value represented by this Slider. This must be a value less than `max`.
Parameters:
  `value` - the value for the `min` property
See Also:
  - `getMin()`
  - `minProperty()`

### getMin

public final double getMin()
Gets the value of the `min` property.

Property description:
  The minimum value represented by this Slider. This must be a value less than `max`.
Returns:
  the value of the `min` property
See Also:
  - `setMin(double)`
  - `minProperty()`

### minProperty

public final DoubleProperty minProperty()
The minimum value represented by this Slider. This must be a value less than `max`.

Returns:
  the `min` property
See Also:
  - `getMin()`
  - `setMin(double)`

### setValue

public final void setValue(double value)
Sets the value of the `value` property.

Property description:
  The current value represented by this Slider. This value must always be between `min` and `max`, inclusive. If it is ever out of bounds either due to `min` or `max` changing or due to itself being changed, then it will be clamped to always remain valid.
Parameters:
  `value` - the value for the `value` property
See Also:
  - `getValue()`
  - `valueProperty()`

### getValue

public final double getValue()
Gets the value of the `value` property.

Property description:
  The current value represented by this Slider. This value must always be between `min` and `max`, inclusive. If it is ever out of bounds either due to `min` or `max` changing or due to itself being changed, then it will be clamped to always remain valid.
Returns:
  the value of the `value` property
See Also:
  - `setValue(double)`
  - `valueProperty()`

### valueProperty

public final DoubleProperty valueProperty()
The current value represented by this Slider. This value must always be between `min` and `max`, inclusive. If it is ever out of bounds either due to `min` or `max` changing or due to itself being changed, then it will be clamped to always remain valid.

Returns:
  the `value` property
See Also:
  - `getValue()`
  - `setValue(double)`

### setValueChanging

public final void setValueChanging(boolean value)
Sets the value of the `valueChanging` property.

Property description:
  When true, indicates the current value of this Slider is changing. It provides notification that the value is changing. Once the value is computed, it is reset back to false.
Parameters:
  `value` - the value for the `valueChanging` property
See Also:
  - `isValueChanging()`
  - `valueChangingProperty()`

### isValueChanging

public final boolean isValueChanging()
Gets the value of the `valueChanging` property.

Property description:
  When true, indicates the current value of this Slider is changing. It provides notification that the value is changing. Once the value is computed, it is reset back to false.
Returns:
  the value of the `valueChanging` property
See Also:
  - `setValueChanging(boolean)`
  - `valueChangingProperty()`

### valueChangingProperty

public final BooleanProperty valueChangingProperty()
When true, indicates the current value of this Slider is changing. It provides notification that the value is changing. Once the value is computed, it is reset back to false.

Returns:
  the `valueChanging` property
See Also:
  - `isValueChanging()`
  - `setValueChanging(boolean)`

### setOrientation

public final void setOrientation(Orientation value)
Sets the value of the `orientation` property.

Property description:
  The orientation of the `Slider` can either be horizontal or vertical.
Parameters:
  `value` - the value for the `orientation` property
See Also:
  - `getOrientation()`
  - `orientationProperty()`

### getOrientation

public final Orientation getOrientation()
Gets the value of the `orientation` property.

Property description:
  The orientation of the `Slider` can either be horizontal or vertical.
Returns:
  the value of the `orientation` property
See Also:
  - `setOrientation(Orientation)`
  - `orientationProperty()`

### orientationProperty

public final ObjectProperty<Orientation> orientationProperty()
The orientation of the `Slider` can either be horizontal or vertical.

Returns:
  the `orientation` property
See Also:
  - `getOrientation()`
  - `setOrientation(Orientation)`

### setShowTickLabels

public final void setShowTickLabels(boolean value)
Sets the value of the `showTickLabels` property.

Property description:
  Indicates that the labels for tick marks should be shown. Typically a `Skin` implementation will only show labels if `showTickMarks` is also true.
Parameters:
  `value` - the value for the `showTickLabels` property
See Also:
  - `isShowTickLabels()`
  - `showTickLabelsProperty()`

### isShowTickLabels

public final boolean isShowTickLabels()
Gets the value of the `showTickLabels` property.

Property description:
  Indicates that the labels for tick marks should be shown. Typically a `Skin` implementation will only show labels if `showTickMarks` is also true.
Returns:
  the value of the `showTickLabels` property
See Also:
  - `setShowTickLabels(boolean)`
  - `showTickLabelsProperty()`

### showTickLabelsProperty

public final BooleanProperty showTickLabelsProperty()
Indicates that the labels for tick marks should be shown. Typically a `Skin` implementation will only show labels if `showTickMarks` is also true.

Returns:
  the `showTickLabels` property
See Also:
  - `isShowTickLabels()`
  - `setShowTickLabels(boolean)`

### setShowTickMarks

public final void setShowTickMarks(boolean value)
Sets the value of the `showTickMarks` property.

Property description:
  Specifies whether the `Skin` implementation should show tick marks.
Parameters:
  `value` - the value for the `showTickMarks` property
See Also:
  - `isShowTickMarks()`
  - `showTickMarksProperty()`

### isShowTickMarks

public final boolean isShowTickMarks()
Gets the value of the `showTickMarks` property.

Property description:
  Specifies whether the `Skin` implementation should show tick marks.
Returns:
  the value of the `showTickMarks` property
See Also:
  - `setShowTickMarks(boolean)`
  - `showTickMarksProperty()`

### showTickMarksProperty

public final BooleanProperty showTickMarksProperty()
Specifies whether the `Skin` implementation should show tick marks.

Returns:
  the `showTickMarks` property
See Also:
  - `isShowTickMarks()`
  - `setShowTickMarks(boolean)`

### setMajorTickUnit

public final void setMajorTickUnit(double value)
Sets the value of the `majorTickUnit` property.

Property description:
  The unit distance between major tick marks. For example, if the `min` is 0 and the `max` is 100 and the `majorTickUnit` is 25, then there would be 5 tick marks: one at position 0, one at position 25, one at position 50, one at position 75, and a final one at position 100.

  This value should be positive and should be a value less than the span. Out of range values are essentially the same as disabling tick marks.

Parameters:
  `value` - the value for the `majorTickUnit` property
See Also:
  - `getMajorTickUnit()`
  - `majorTickUnitProperty()`

### getMajorTickUnit

public final double getMajorTickUnit()
Gets the value of the `majorTickUnit` property.

Property description:
  The unit distance between major tick marks. For example, if the `min` is 0 and the `max` is 100 and the `majorTickUnit` is 25, then there would be 5 tick marks: one at position 0, one at position 25, one at position 50, one at position 75, and a final one at position 100.

  This value should be positive and should be a value less than the span. Out of range values are essentially the same as disabling tick marks.

Returns:
  the value of the `majorTickUnit` property
See Also:
  - `setMajorTickUnit(double)`
  - `majorTickUnitProperty()`

### majorTickUnitProperty

public final DoubleProperty majorTickUnitProperty()
The unit distance between major tick marks. For example, if the `min` is 0 and the `max` is 100 and the `majorTickUnit` is 25, then there would be 5 tick marks: one at position 0, one at position 25, one at position 50, one at position 75, and a final one at position 100.

This value should be positive and should be a value less than the span. Out of range values are essentially the same as disabling tick marks.

Returns:
  the `majorTickUnit` property
See Also:
  - `getMajorTickUnit()`
  - `setMajorTickUnit(double)`

### setMinorTickCount

public final void setMinorTickCount(int value)
Sets the value of the `minorTickCount` property.

Property description:
  The number of minor ticks to place between any two major ticks. This number should be positive or zero. Out of range values will disable disable minor ticks, as will a value of zero.
Parameters:
  `value` - the value for the `minorTickCount` property
See Also:
  - `getMinorTickCount()`
  - `minorTickCountProperty()`

### getMinorTickCount

public final int getMinorTickCount()
Gets the value of the `minorTickCount` property.

Property description:
  The number of minor ticks to place between any two major ticks. This number should be positive or zero. Out of range values will disable disable minor ticks, as will a value of zero.
Returns:
  the value of the `minorTickCount` property
See Also:
  - `setMinorTickCount(int)`
  - `minorTickCountProperty()`

### minorTickCountProperty

public final IntegerProperty minorTickCountProperty()
The number of minor ticks to place between any two major ticks. This number should be positive or zero. Out of range values will disable disable minor ticks, as will a value of zero.

Returns:
  the `minorTickCount` property
See Also:
  - `getMinorTickCount()`
  - `setMinorTickCount(int)`

### setSnapToTicks

public final void setSnapToTicks(boolean value)
Sets the value of the `snapToTicks` property.

Property description:
  Indicates whether the `value` of the `Slider` should always be aligned with the tick marks. This is honored even if the tick marks are not shown.
Parameters:
  `value` - the value for the `snapToTicks` property
See Also:
  - `isSnapToTicks()`
  - `snapToTicksProperty()`

### isSnapToTicks

public final boolean isSnapToTicks()
Gets the value of the `snapToTicks` property.

Property description:
  Indicates whether the `value` of the `Slider` should always be aligned with the tick marks. This is honored even if the tick marks are not shown.
Returns:
  the value of the `snapToTicks` property
See Also:
  - `setSnapToTicks(boolean)`
  - `snapToTicksProperty()`

### snapToTicksProperty

public final BooleanProperty snapToTicksProperty()
Indicates whether the `value` of the `Slider` should always be aligned with the tick marks. This is honored even if the tick marks are not shown.

Returns:
  the `snapToTicks` property
See Also:
  - `isSnapToTicks()`
  - `setSnapToTicks(boolean)`

### setLabelFormatter

public final void setLabelFormatter(StringConverter<Double> value)
Sets the value of the `labelFormatter` property.

Property description:
  A function for formatting the label for a major tick. The number representing the major tick will be passed to the function. If this function is not specified, then a default function will be used by the `Skin` implementation.
Parameters:
  `value` - the value for the `labelFormatter` property
See Also:
  - `getLabelFormatter()`
  - `labelFormatterProperty()`

### getLabelFormatter

public final StringConverter<Double> getLabelFormatter()
Gets the value of the `labelFormatter` property.

Property description:
  A function for formatting the label for a major tick. The number representing the major tick will be passed to the function. If this function is not specified, then a default function will be used by the `Skin` implementation.
Returns:
  the value of the `labelFormatter` property
See Also:
  - `setLabelFormatter(StringConverter)`
  - `labelFormatterProperty()`

### labelFormatterProperty

public final ObjectProperty<StringConverter<Double>> labelFormatterProperty()
A function for formatting the label for a major tick. The number representing the major tick will be passed to the function. If this function is not specified, then a default function will be used by the `Skin` implementation.

Returns:
  the `labelFormatter` property
See Also:
  - `getLabelFormatter()`
  - `setLabelFormatter(StringConverter)`

### setBlockIncrement

public final void setBlockIncrement(double value)
Sets the value of the `blockIncrement` property.

Property description:
  The amount by which to adjust the slider if the track of the slider is clicked. This is used when manipulating the slider position using keys. If `snapToTicks` is true then the nearest tick mark to the adjusted value will be used.
Parameters:
  `value` - the value for the `blockIncrement` property
See Also:
  - `getBlockIncrement()`
  - `blockIncrementProperty()`

### getBlockIncrement

public final double getBlockIncrement()
Gets the value of the `blockIncrement` property.

Property description:
  The amount by which to adjust the slider if the track of the slider is clicked. This is used when manipulating the slider position using keys. If `snapToTicks` is true then the nearest tick mark to the adjusted value will be used.
Returns:
  the value of the `blockIncrement` property
See Also:
  - `setBlockIncrement(double)`
  - `blockIncrementProperty()`

### blockIncrementProperty

public final DoubleProperty blockIncrementProperty()
The amount by which to adjust the slider if the track of the slider is clicked. This is used when manipulating the slider position using keys. If `snapToTicks` is true then the nearest tick mark to the adjusted value will be used.

Returns:
  the `blockIncrement` property
See Also:
  - `getBlockIncrement()`
  - `setBlockIncrement(double)`

### adjustValue

public void adjustValue(double newValue)
Adjusts `value` to match `newValue`. The `value`is the actual amount between the `min` and `max`. This function also takes into account `snapToTicks`, which is the main difference between adjustValue and setValue. It also ensures that the value is some valid number between min and max. Note: This function is intended to be used by experts, primarily by those implementing new Skins or Behaviors. It is not common for developers or designers to access this function directly.

Parameters:
  `newValue` - the new adjusted value

### increment

public void increment()
Increments the value by `blockIncrement`, bounded by max. If the max is less than or equal to the min, then this method does nothing.

### decrement

public void decrement()
Decrements the value by `blockIncrement`, bounded by max. If the max is less than or equal to the min, then this method does nothing.

### createDefaultSkin

protected Skin<?> createDefaultSkin()
Create a new instance of the default skin for this control. This is called to create a skin for the control if no skin is provided via CSS `-fx-skin` or set explicitly in a sub-class with `setSkin(...)`.

Overrides:
  `createDefaultSkin` in class `Control`
Returns:
  new instance of default skin for this control. If null then the control will have no skin unless one is provided by css.

### getClassCssMetaData

public static List<CssMetaData<? extends Styleable,?>> getClassCssMetaData()

Returns:
  The CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
Since:
  JavaFX 8.0

### getControlCssMetaData

protected List<CssMetaData<? extends Styleable,?>> getControlCssMetaData()

Overrides:
  `getControlCssMetaData` in class `Control`
Returns:
  unmodifiable list of the controls css styleable properties
Since:
  JavaFX 8.0

### queryAccessibleAttribute

public Object queryAccessibleAttribute(AccessibleAttribute attribute, Object... parameters)
This method is called by the assistive technology to request the value for an attribute.

This method is commonly overridden by subclasses to implement attributes that are required for a specific role.
If a particular attribute is not handled, the superclass implementation must be called.

Overrides:
  `queryAccessibleAttribute` in class `Control`
Parameters:
  `attribute` - the requested attribute
  `parameters` - optional list of parameters
Returns:
  the value for the requested attribute
See Also:
  - `AccessibleAttribute`

### executeAccessibleAction

public void executeAccessibleAction(AccessibleAction action, Object... parameters)
This method is called by the assistive technology to request the action indicated by the argument should be executed.

This method is commonly overridden by subclasses to implement action that are required for a specific role.
If a particular action is not handled, the superclass implementation must be called.

Overrides:
  `executeAccessibleAction` in class `Control`
Parameters:
  `action` - the action to execute
  `parameters` - optional list of parameters
See Also:
  - `AccessibleAction`